%define upstream_name phpDocumentor
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  %{_var}/lib/pear


## These files are auto-requires and are missing.
%global __requires_exclude pear\\(/tmp/ezcomponents-2009.1alpha1/Base/src/ezc_bootstrap.php\\)|pear\\(PHPUnit/Extensions/OutputTestCase.php\\)|pear\\(ezc/Base/base.php\\)|pear\\(phar:/cilex.phar/vendor/autoload.php\\)|pear\\(test2.php\\)|pear\\(phpDocumentor/vendor/phenx/php-font-lib/classes/\\\$class.php\\)
%global __provides_exclude pear\\(phpDocumentor


Name: 		php-pear-%{upstream_name}
Version: 	2.8.1
Release:	%mkrel 6
Summary: 	PHP 5.3 compatible API Documentation generator aimed at projects of all sizes and Continuous Integration
License: 	MIT
Group: 		Development/PHP
URL: 		http://pear.php.net/package/phpDocumentor
Source0: 	http://pear.php.net/get/phpDocumentor-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	apache-mod_php
Requires(pre):	php-pear
Requires(pre):  php-channel-phpdoc
Requires(pre):	php-pear-PEAR_PackageFileManager
Recommends:	php-pear-XML_Beautifier >= 1.1
BuildRequires:	php-pear >= 1.4.7
BuildRequires:  php-channel-phpdoc
BuildArch:	noarch
Obsoletes:      php-pear-PhpDocumentor < 1.4.5

%description
phpDocumentor is a Documentation Generation Application (DGA) for use with
PHP applications.

It is capable of transforming the comments in your source code into a full
API reference document.

phpDocumentor is build to be PHP 5.3 compatible, fast, having a low memory
consumption and easily integratable into Continuous Integration.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/phpDocumentor.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/phpDocumentor.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/phpDocumentor
fi

%files
%doc docs/phpDocumentor/*
%{_bindir}/phpdoc
%{peardir}/*
%{xmldir}/phpDocumentor.xml


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 2.8.1-6.mga6
+ Revision: 951146
- Mageia 6 Mass Rebuild

  + tv <tv>
    - s/Suggests/Recommends/

* Tue Dec 09 2014 spuhler <spuhler> 2.8.1-5.mga5
+ Revision: 802387
- bump rel
- corrected the exclude_provides
- added %%global __provides_exclude pear\\(phpDocumentor/
  *  we get otherwise pages of provides and it prevents the package from getting on the hdlist

* Sat Dec 06 2014 spuhler <spuhler> 2.8.1-4.mga5
+ Revision: 801745
- rebuild for getting on hdlist

* Fri Dec 05 2014 spuhler <spuhler> 2.8.1-3.mga5
+ Revision: 801578
- added 3x\\\ in the __requireseclude

* Thu Dec 04 2014 spuhler <spuhler> 2.8.1-2.mga5
+ Revision: 801518
- added %%global __requires_exclude for auto-requires

* Fri Nov 28 2014 spuhler <spuhler> 2.8.1-1.mga5
+ Revision: 799805
- this package replaces php-pear-PhpDocumentor-1.4.4 which has security issues with  bundled smarty2

